<template>
  <div class="container-fluid h-100 m-md-0" @click.self="closeModal">
    <div class="row h-100" @click.self="closeModal">
      <div
        class="col h-100"
        @click.self="closeModal"
        v-if="athlete.certificate.id"
      >
        <img
          :src="
            'https://api.courses-extender.24heures.org/api/v1/certificates/' +
            athlete.certificate.id +
            '/picture'
          "
          class="h-100"
          alt=""
        />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import axios from "axios";

export interface Certificate {
  id: number;
  status: number;
}

export interface Category {
  id: number;
  label: string;
}

export interface Team {
  id: number;
  name: string;
  category: Category;
}

export interface Athlete {
  id: number;
  first_name: string;
  last_name: string;
  birthdate: string;
  email: string;
  phone: string;
  team: Team;
  certificate: Certificate;
}

export default defineComponent({
  props: {
    athleteId: Number,
  },
  data() {
    return {
      athlete: {
        id: null,
        first_name: null,
        last_name: null,
        birthdate: null,
        email: null,
        phone: null,
        team: {
          name: null,
          category: {
            label: null,
          },
        },
        certificate: {
          id: null,
          status: null,
        },
      },
    };
  },
  methods: {
    closeModal() {
      this.$emit("CloseModal");
    },
    reloadInfo() {
      axios
        .get("athletes/" + this.athleteId)
        .then((response) => (this.athlete = response.data));
    },
  },
  watch: {
    athleteId() {
      console.log(this.athleteId);
      this.reloadInfo();
    },
  },
});
</script>

<style scoped>
img {
  max-width: 100%;
  max-height: 100%;
}
</style>
